OpenWRT Upgrade 14.07 auf 15.05

13. Dezember 2015 Keine Kommentare

So nachdem eine neue Version(15.05 alias Chaos Calmer) von OpenWRT draußen ist und wir ja Early Adopter sind möchten wir auch die neueste Version verwenden, auf zum Upgrade.

Am einfachsten geht es wohl über das Webinterface, was auch gut in der Doku beschrieben ist.

Ich gehe davon aus dass, die vorherige Version(14.07) von OpenWRT auf dem Gerät(bei mir ein TL-WR1043ND v2) vorhanden ist.

Backup

Zunächst machen wir ein Backup um ein Fall Back zu haben.

  1. Übers Webinterface am Router einloggen.
  2. Nun im WUI auf System > Backup/Flash Firmware
  3. Hier nun bei Download Backup auf den Generate archive Knopf drücken und die Datei speichern.

Danach sollte man sich noch darüber informieren welche Pakete man selbst installiert hat bzw. auf dem Router installiert sind um kein Wunder zu erleben :). Gut beschrieben hier zu finden.

  1. SSH auf den Router
  2. Skript öffnen
    vi /tmp/listuserpackages.sh
  3. Anlegen
    #!/bin/ash
    echo "User-installed packages are the following:"
    packages="$(cat /usr/lib/opkg/status | grep -n 'user install' | cut -d ':' -f1)"'
    '
    printf %s "$packages" | while IFS= read -r nline; do
      sed -n 1,$nline' s/Package/&/p' /usr/lib/opkg/status | tail -n 1
    done
  4. Ausführen
    /bin/ash /tmp/listuserpackages.sh
  5. Nun wird eine Liste der installierten Pakete angezeigt, am besten irgendwo kurz zwischenspeichern.

Upgrade

Gut nun zum eigentlichen Upgrade wie gesagt übers Webinterface. Zunächst müssen wir uns die neue Firmware herunterladen. Idealerweise gibt es für den verwendeten Router eine Wiki-Seite auf wiki.openwrt.org und man kann sich hier direkt seine Firmware herunterladen, wohlgemerkt die UPGRADE Version.

  1. UPGRADE Version der neuen Firmware herunterladen
  2. Über das Webinterface am Router auf System > Backup/Flash Firmware > Flash new firmware image
  3. Hier den Durchsuchen Knopf drücken und die eben heruntergeladen Firmware suchen und mit dem Knopf Flash image … den Upgrade Prozess starten. Darauf achten das Keep settings aktiv ist.
  4. Warten, der Router ist nun auf sich gestellt und macht sein Upgrade man kann per Dauerping schauen wann der Router wieder erreichbar ist.

Nun sollte nach einem Reboot alles wieder da sein.

Probleme

Denkste!

Nachdem sich mein Router über ein ADSL Modem einwählt und das ppp-mod-pptp anscheinend nicht standardmäßig in der Setup ist, hatte ich einiges zu tun. Modem wieder auf MultiUser stellen, Pakete herunterladen und wieder zurück auf SingelUser stellen. Das war leider auch nicht alles, für die neue Version 15.05 benötigt er für das einwählen zusätzlich noch ein Paket kmod-nf-nathelper-extra die Referenz darauf habe ich erst nach langer, langer suche in einem Bugreport gefunden.

So jetzt geht aber wieder alles wie gewohnt.

Puh 🙂

KategorienAllgemein, Linux Tags: , ,

Bitcoin Full Client

1. Februar 2015 Keine Kommentare

Mit einem Bitcoin Full Client kann man das Bitcoin Netzwerk unterstützen, hier eine Kurzanleitung wie ich meinen eingerichtet habe.

User erstellen unter dem der Daemon dann läuft:

useradd -r -m -s /bin/sh btcd

Download des Clients von bitcoin.org und entpacken:

cd /tmp
wget https://bitcoin.org/bin/0.9.3/bitcoin-0.9.3-linux.tar.gz
tar -xvzf bitcoin-0.9.3-linux.tar.gz
cp bitcoin-0.9.3-linux/bin/32/bitcoin* /usr/local/bin/
sudo rm -r /tmp/bitcoin-0.9.3-linux

Konfiguration für den Client erstellen:

sudo su -c /bin/bash - btcd
mkdir /home/btcd/.bitcoin
vi /home/btcd/.bitcoin/bitcoin.conf

Mein Inhalt ist:

server=1
rpcuser=<rpcuser>
rpcpassword=<langespsw_für_rpc_requests>
rpctimeout=30
rpcconnect=127.0.0.1
rpcport=8332
gen=0
paytxfee=0.00

Als root wird das Startscript erstellt:

touch /etc/init.d/bitcoind

Mein Inhalt ist mit dem zuvor erstellten User:

#! /bin/sh
### BEGIN INIT INFO
# Provides:          bitcoind
# Required-Start:    $remote_fs
# Required-Stop:     $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: bitcoind daemon startup script
# Description:       bitcoind daemon startup script
### END INIT INFO

# Author: Pavel A. Karoukin <pavel@yepcorp.com>
#

# Do NOT "set -e"

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="BitCoin Daemon"
NAME=bitcoind
USER=btcd
GROUP=btcd
DAEMON=/usr/local/bin/$NAME
DAEMON_ARGS="-daemon"
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
CHUID=$USER:$GROUP

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
   # Return
   #   0 if daemon has been started
   #   1 if daemon was already running
   #   2 if daemon could not be started
   start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
      || return 1
   start-stop-daemon --start --quiet --chuid $CHUID --pidfile $PIDFILE --exec $DAEMON -- \
      $DAEMON_ARGS \
      || return 2
}

do_stop()
{
   # Return
   #   0 if daemon has been stopped
   #   1 if daemon was already stopped
   #   2 if daemon could not be stopped
   #   other if a failure occurred
   $DAEMON stop
   start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
   RETVAL="$?"
   [ "$RETVAL" = 2 ] && return 2
   # Wait for children to finish too if this is a daemon that forks
   # and if the daemon is only ever run from this initscript.
   # If the above conditions are not satisfied then add some other code
   # that waits for the process to drop all resources that could be
   # needed by services started subsequently.  A last resort is to
   # sleep for some time.
   start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
   [ "$?" = 2 ] && return 2
   # Many daemons don't delete their pidfiles when they exit.
   rm -f $PIDFILE
   return "$RETVAL"
}

#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
   #
   # If the daemon can reload its configuration without
   # restarting (for example, when it is sent a SIGHUP),
   # then implement that here.
   #
   start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
   return 0
}

case "$1" in
  start)
   [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
   do_start
   case "$?" in
      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
  stop)
   [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
   do_stop
   case "$?" in
      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
  #reload|force-reload)
   #
   # If do_reload() is not implemented then leave this commented out
   # and leave 'force-reload' as an alias for 'restart'.
   #
   #log_daemon_msg "Reloading $DESC" "$NAME"
   #do_reload
   #log_end_msg $?
   #;;
  restart|force-reload)
   #
   # If the "reload" option is implemented then remove the
   # 'force-reload' alias
   #
   log_daemon_msg "Restarting $DESC" "$NAME"
   do_stop
   case "$?" in
     0|1)
      do_start
      case "$?" in
         0) log_end_msg 0 ;;
         1) log_end_msg 1 ;; # Old process is still running
         *) log_end_msg 1 ;; # Failed to start
      esac
      ;;
     *)
        # Failed to stop
      log_end_msg 1
      ;;
   esac
   ;;
  *)
   #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
   echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
   exit 3
   ;;
esac

:

Startscript ausführbar machen:

chmod +x /etc/init.d/bitcoind

Startscript in runlevels eintragen:

update-rc.d bitcoind default

Starten des Daemons:

/etc/init.d/bitcoind start

Nun muss noch der Standardport 8333 für eingehende Verbindungen geöffnet werden und dann kann man über die https://blockchain.info/ip-address/(IP_ADRESSE) die verarbeiteten Überweisungen sehen. Bevor hier jedoch Einträge angezeigt werden wird erst die Gesamte Blockchain heruntergeladen was zum aktuellen Zietpunkt bereits über 20GB sind also kann es einiges an Zeit dauern bis sich etwas auf der Blockchain zeigt.

Referenzen:

KategorienLinux Tags: ,

Majestic-12 Webcrawling Node auf 64Bit Debian Wheezy

27. Dezember 2013 Keine Kommentare

Es gibt nicht viel zu erzählen das meiste wurde bereits im Artikel http://www.zettabyte.eu/homeserver-mj12/ geklärt.

Ich werde hier nur auf die Installation eingehen.
Es muss die -LEGACY.tgz heruntergeladen werden da in der Wheezy noch eine alte GLIBC mitgeliefert wird.
cd /usr/local/etc
wget http://mono.mj12.fi/mj12node-bundle/CURRENTVERSION-LEGACY.tgz
tar -xf CURRENTVERSION-LEGACY.tgz
chmod -R UNPRIVUSER:UNPRIVGROUP MJ12node
rm CURRENTVERSION-LEGACY.tgz
cd MJ12node
sudo -u UNPRIVUSER ./run.sh

Nun mit S den Webserver zum konfigurieren starten oder die Konfiguration direkt in die config.xml eintragen.

Homeserver – esniper / esf

10. Dezember 2013 3 Kommentare

esniper:

esniper ist ein OpenSource EBay Auktions Programm welches für einen Server predistiniert ist.

Es gibt für Debian zwar ein Paket im Repository jedoch ist dieses wieder einmal veraltet also installiere ich den Sniper per Hand.

Vorraussetztungen:

Um den ESniper kompilieren zu können werden, wie auf http://esniper.sourceforge.net/ beschrieben, die Pakete SSL und libCURL benötigt. Natürlich sollte man auch die build-essentials nicht vergessen.
apt-get install libcurl-dev, libssl-dev, libcurl4-gnutls-dev, build-essential

Setup:

cd ~
wget http://downloads.sourceforge.net/project/esniper/esniper/2.31.0/esniper-2-31-0.tgz
tar -xf esniper-2-31-0.tgz
cd esniper-2-31-0
./configure
make
make install
cd ../
sudo rm -R esniper-2-31-0*

Nun ist das Programm kompiliert und unter /usr/local/bin/esniper zum ausführen bereit.
Die restliche Konfiguration wurde an folgendes Posting angelehnt http://www.synology-forum.de/showthread.html?5641-Automatisches-Bieten-bei-Ebay.

Logordner anlegen.
mkdir /var/log/esniper

Nun können Gebote per Kommandozeile abgegeben werden.

ESF – esniper frontend:

Als praktikablere Alternative gibt es das esf – esniper frontent – http://es-f.com.

Es setzt auf esniper auf und ist auch eine Open Source Entwicklung http://sourceforge.net/projects/es-f/

Da das Projekt jedoch anscheinend lange nicht mehr gewartet wurde gibt es zum Glück bereits einen Fork auf Github.

Setup:

aptitude install php5-curl
mkdir /var/www/esf
cd /var/www/
git clone https://github.com/syssi/es-f.git esf
cd esf
git submodule init
git submodule update
mkdir /var/www/esf/local
chown -R www-data:www-data /var/www/esf

Zuerst die empfohlene Sicherheitskonfiguration durch einen eigenen sudoer Benutzer HowTo von http://es-f.com/sudo.41.html
Einziger Unterschied ist dass in Wheezy eine Datei im Ordner /etc/sudoers.d erstellt werden muss mit dem Eintrag.
www-data ALL=(esniper) NOPASSWD: /usr/bin/sudo, /bin/sh, /bin/kill

Nun kann man mit einem Browser über SERVERIP/esf auf das Webinterface zugreifen und hier weiter Konfigurationen tätigen.
Man wird auf SERVERIP/esf/setup weitergeleitet und kann die benötigten Einstellungen einsehen und ob alle Voraussetzungen bereits erfüllt sind überprüfen.

Ebay Ansichtoptionen zurücksetzten wie in beschrieben: http://es-f.com/ebay-configuration-for-esniper–m.81.html

Verwendung:

Um Artikel schneller hinzufügen zu können habe ich die Snipe JavaScript vom ESF im Browser in die Bookmarks vom Browser gelegt und das Funktioniert hervorragend.

Einfach im ESF Webinterface auf index gehen und unter Bookmarklet die „Snipe“ Verlinkung in die Bookmarkliste vom Browser ziehen. Nun kann man auf den EBay Artikelseiten einfach den Link drücken und es kommt ein „Popup“ mit zusätzlichen optionen zum Preis usw. … hervorragend 🙂

Referenz:

http://blog.knecht-ruprecht.info/2007/09/ebay-scharfschtzen-teil-i.html

Öffnen einer Microsoft IntelliMouse Optical 1.1A USB and PS/2 Compatible

30. August 2013 Keine Kommentare

IntelliMouse Optical

IntelliMouse Optical


Zunächst müssen die hinteren zwei Gleitkissen entnommen werden. Darunter befinden sich jeweils eine Schraube welche entfernt werden muss.
Im Anschluss kann das Gehäuse geöffnet werden indem Hinten etwas angehoben wird und der obere Teil der Maus relativ zum unteren nach vorne geschoben wird.

Offen 🙂

Zum zusammen bauen, einfach den oberen Teil auf die Maus legen und vorne etwas andrücken bis die Plastikschnapper einrasten. Schrauben rein, Gleitpads drauf fertig.

Arctic P402BT Bluetooth Headset

Nachdem ich ständig mein Kopfhörerkabel zerstöre da die Sesselrollen offensichtlich Genuss an diesem gefunden haben suche ich eine Alternative.

Schwubs da wäre doch etwas Kabelloses recht naheliegend 🙂 > Bluetooth it is.
Nach etwas hin und her dann eine Entscheidung, es soll P402BT von Arcitc werden. Zu dem Zeitpunkt wollte der Verkäufer 65E von mir, zwar etwas sehr happig in Angesicht dessen das entsprechende kabelgebundene Geräte um die 10E liegen ^^. Aber gut dann muss man sich ja nicht jedes Jahr ein neues kaufen wäre doch auch recht sinnvoll.

Gesagt getan, bestellt, bekommen und ran ans Testen.

Wie enttäuscht ich war als ich das kleine Ding gesehen habe. Nun gut hab ich mir gedacht passen die halt nicht um die Ohrmuschel sondern nur drauf. Waren so auch recht angenehm und man könnte mit denen sicher auch einige Stunden verbringen. Da auch sehr leicht.

Leider waren das eigentlich schon die guten Nachrichten.
Die Knöpfe wirken sehr Billig und das Wackeln in den entsprechenden Öffnungen hilft hier auch nicht entgegen.

Das wäre ja auch noch akzeptabel, wenn da nicht das sehr störende Rauschen während der Übertragung wäre.
Dann kam noch hinzu dass es anscheinend nur Hoch- und Tieftöner hat, da die Mittleren einfach nicht zu hören waren bzw. im Verhältnis zu den anderen beiden Bändern komplett unterdrückt war.

Da es Hauptsächlich für den PC gedacht war musste ich enttäuscht feststellen, dass er wenn man es als Mikrofon verwenden möchte er auch noch dazu in einen Mono Modus umschaltet was der Soundqulität ja nicht unbedingt hilft. Möglich dass es an den Treibern lag aber anscheinend muss man mit diesen leben :/ da es keine zum herunterladen gibt.

Als Handy Headset funktioniert es mit Android akzeptabel aber das Rauschen während dem Gespräch das fehlende Mittelband und der Punkt, dass es 65E kostet hat mich dazu gebracht es wieder auf seinen Heimweg zu schicken.

Sehr schade ich hatte mir für so einen Preis sehr viel mehr erwartet.
Falls wer eine gute Alternative kennt würde mich diese brennend interessieren 🙂

Ich werde mich noch in Foren herumtreiben und vlt. ja noch eine Attraktive alternative finden.

Mr V

KategorienAllgemein Tags:

Homeserver – YaCy Suchmaschiene

12. Juli 2013 1 Kommentar

Da gibt es Sachen im Internet :).
Zum Beispiel kann man helfen eine dezentrale Suchmaschine zu erstellen.

YaCy verwendet ein Peer-to-Peer System zum Crawlen und Suchen mit Hilfe von verteilten Hash Tabellen.

Setup:

Nun zur Installation am Heimserver.

Software

Ist für Debian recht einfach durch das verfügbare Repository welches nur eingebunden werden muss womit man die Software dann installiert.

echo 'deb http://debian.yacy.net ./' >> /etc/apt/sources.list.d/yacy.list
apt-get update

Nun braucht YaCy ein JavaRuntimeEnvironment. Haben mich hier für die openjdk-7-jre entschieden.
apt-get install -y openjdk-7-jre
Es hat jedoch einiges mehr an Abhängigkeiten als die v6 somit bitte Speicher beachten. Somit ist es wohl doch besser auf das „default-jre“ von Debian zurückzugreifen welches aktuell auf openjdk-6-jre zeigt.

Jetzt kann auch schon YaCy selbst installiert werden.
apt-get install --force-yes yacy
Weil das Paket nicht signiert ist muss das YES forciert werden bzw. händisch über aptitude installiert werden.

Während des Setups werden noch folgende Abfragen gemacht.

  • Peername
  • Adminpasswort
  • RAM Startlevel
  • Max RAM

Fertig der Server rennt und kann nun über http://server.name:8090 erreicht werden.

Einstellungen

Threadanzahl

Zunächst stell ich mal die möglich Threads herunter.
Administrator->Admin Konsole->Erweiterte Einstellungen->Performanceeinstellungen für Puffer und Prozesse->Threadpool-Einstellungen
Habe ich beides auf 50 gesetzt.

Crawler

Nun kann die erste webseite zum Crawlen eingetragen werden.
Administrator->Crawler / Harvester->Seiten Crawl Start
Dann noch den „Starten neuen Crawl“-Button drücken und loss geht das Framen.

RAM Verbrauch

Falls man den Java RAM Start Wert im nachhinein veränder möchte muss man das wie folgt tun:
Webinterface->Administrator->Admin Konsole->Erweiterte Konfiguration->javastart_Xms Wert entsprechend verändern.
Der darunter liegende Xmx-Wert ist der Max RAM Wert welcher jedoch auch über das Webinterface zu finden und ändern ist:
Webinterface->Administrator->Admin Konsole->Leistung->Speicher Einstellungen

HDD Beschränkung

Man kann dies Leider nur indirekt tun:
Webinterface->Administrator->Admin Konsole->Leistung->Ressourcen Beobachter
Womit der frei zu haltende Speicher gesetzt wird.
Der Proxy Cache kann direkt gesetzt werden:
Webinterface->Administrator->Indexverwaltung->Web Cache->HTCache Konfiguration

Delays

Es gibt weitere Möglichkeiten das knackige Rauschen auf der Leitung etwas zu drosseln. Zb. durcheingebaute Verzögerungen welche man über folgenden Befehl setzen kann:
Webinterface->Administrator->Admin Konsole->Leistung->Onlinezugriff Verzögerung Einstellungen:
Hier können Verzögerungen für den Proxy, die Lokale- sowie die Globale Suche gesetzt werden. Zu Testzwecken mal auf 10:50:1000 gesetzt. Um meine dünne Netzleitung nicht zu überlassten.

DHT

Apropos Netzleitung da der DHT ja ständig kommuniziert habe ich mal das herunterladen vom Index deaktiviert.
Webinterface->Administrator->Admin Konsole->Netzwerk konfiguration->Verteiltes Rechnen Netzwerk für die Domain->Peer-to-Peer Modus->Index-Empfang
Häckchen raus und hoffentlich wird nun mein Raid nicht nur mit dem Index gefüllt, der Homeserver soll doch nicht nur für den Index drauf gehen. Dies wird vermutlich auch solange bleiben bis man den Gesamtfestplattenspeicherverbrauch setzten kann.

Integration

Lighttpd

Wie alle Dienste auf meinem Server möchte ich auch diesen per Link erreichen können. Also habe ich dem Lighty wieder einen Redirect hinzugefügt.

url.redirect += ("^/yacy" => "http://server.name:8090/")

Einfach in die entsprechende CONF-Datei schreiben.
Noch einen Ordner erstellen und fertig ist die Geschichte.
mkdir /var/www/yacy

Pirelli

Um den Server von außen zugänglich zu machen, und somit den Peer zu einem Senior zu machen, muss der Port 8090 freigegeben werden. Genauere Beschreibung auf der Pirelli Seite.
Zum Testen kann der offenen Port noch über eine beliebige Open Port Webseite getestet werden.

Links:

Wikipedia Artikel
YaCy Setup How To

Upgrade Debian, Squeeze to Wheezy

Da das neue Debian 7.0, alias Wheezy, draußen ist wollen wir doch ein Upgrade von unserem Heimserver machen.

ToDo

Zunächst habe ich alle unwichtigen Dienste gestoppt:

service samba stop
service pyload stop
service transmission-daemon stop
service plexmediaserver stop
service sabnzbdplus stop

Nebenbei habe ich auch einen von mir eingerichteten Cronjob sicherheitshalber auskommentiert.

Danach habe ich ein Fullbackup mit hilfe eines TAR Befehls erstellt:

tar -zcvpf /FULLPATH/full.2013.05.09.backup.tar.gz --directory=/ --exclude=proc --exclude=sys --exclude=dev/ptr --exclude=srv .

Nun habe ich alle selbst hinzugefügte Repositories aus der source.list auskommentiert. Sowie die squeeze-backports aus der entsprechenden Datei im source.list.d Verzeichnis.

Nun kann man die source.list bearbeiten und das squeeze durch wheezy ersetzten.

cp /etc/apt/sources.list /etc/apt/sources.list.bkp
vi /etc/apt/sources.list
:%s/squeeze/wheezy/g

Laut Upgrade Anleitung soll man das Upgrade mitschneiden:

script -t 2>~/upgrade-wheezy.time -a ~/upgrade-wheezy.script

Nun gut auf dass es Funktioniere

Packetlistenupdate durchführen:

apt-get update

Testen ob ausreichend Festplattenplatz vorhanden ist:

apt-get -o APT::Get::Trivial-Only=true dist-upgrade

Minimales System-Upgrade durchführen:

apt-get upgrade

Gesamtes Upgrade anstoßen:

apt-get dist-upgrade

Problem:

Hurraa die Partition ist zu klein :/

apt-get clean

Hat geholfen wieder Platz zu schaffen nun will er folgenden Befehl um das Upgrade zu Vollenden

dpgkg --configure -a
apt-get dist-upgrade

Zeigt dass alles durchgeführt wurde und keine weiteren Packete benötigt werden.

Nachbereitung:

Da das Suhosin-Paket installiert war und dieses in der aktuellen Version von Debian angeblich nicht mehr vorhanden ist muss man folgenden Befehl ausführen.

dpkg --purge php5-suhosin
reboot

Es lebt 🙂

Die zuvor auskommentierte source.list wieder einbinden und ein update durchführen.
Da ich auch die ia32-libs verwende, muss ich wie in den Debian Notes zu finden ist die Architektur hinzufügen damit APT es auch versteht =)

dpkg --add-architecture i386
apt-get update

Nach einem Vollständigen Update aller Pakete können die ia32-libs deinstalliert werden

Die Auskommentierung der Cronjobs wieder rückgängig machen.

vi /etc/crontab

Nun noch das Finale testen der Services und gut ist’s.

Nachtrag:

Pyload wollte nicht funktionieren, dies lag daran das python-jinja2 und python-beaker nicht installiert waren.

Referenzen:

http://www.garron.me/en/linux/upgrade-debian-squeeze-wheeze-6.0-7.0.html
http://www.debian.org/releases/wheezy/amd64/release-notes/ch-upgrading.de.html
http://www.aboutdebian.com/tar-backup.htm
http://www.it-blog.net/artikel/42-Suchen-und-Ersetzen-in-Vim.html

Homeserver – pyLoad

Intro:

OK, wer kennt den jDownloader denn nicht?
Da es jedoch ein HomeSERVER ist, suchte Ich eine Lösung welche auf diesem läuft, siehe da es gibt PyLoad.
Eigentlich das selbe, nur eben auf dem Server im Hintergrund laufend und in python geschrieben.

Installation

Eigentlich war das recht einfach und auch gut auf folgender Seite Linux Step-by-Step Setup erklärt.
Auf der Downloadseite gibt es entweder das ZIP-Archiv oder das DPK-Paket.

Konfiguration

Server

Webserver – apache

—-TO BE EDITED—-

Rechner

Firefox – NoScript

Der im Firefoxaddon NoScript eingebaute ABE-Filter lässt die Links nicht an den Lokalen Port.
Um dies zu berücksichtigen müssen in den NoScript Einstellungen-Erweitert-ABE-(Regelsätze)SYSTEM folgende Zeilen hinzugefügt werden.
Site http://localhost:9666 Accept from URL_DER_ZU_ERLAUBENDEN_SEITE
Diese Zeile muss vor dem DENY stehen da sonst die Links nicht ankommen.
Darüber hinaus muss unter den NoScript Einstellungen-Erweitert-Cross-Site Scripting(XSS) POSTS an den Lokalhost erlaubt werden.
^http://127.0.0.1:9666/flash/addcrypted2$

Click’n’Load

Es muss der lokale Port, 9666 an den die Links von Click’n’Load gesandt werden, an den Server weitergeleitet werden.
Dies geht unter Windows 7 mit lokalen Mitteln. Zunächst muss eine „Commandline“ mit Administratorrechten gestartet werden. Hier gibt man nun folgenden Befehl ein.
netsh interface portproxy add v4tov4 listenport=9666 connectaddress=SERVERIP connectport=9666 listenaddress=127.0.0.1
Wobei die SERVERIP eine IP sein muss und kein DNS oder FQDN sein kann.
Zum entfernen der lokalen Weiterleitung kann man folgenden Befehl ausführen:
netsh interface portproxy delete v4tov4 listenport=9666 listenaddress=127.0.0.1

Referenzen:

Click’n’Load für PyLoad
Click’n’Load Problemlösung für NoScript

IPod Mini Mod

9. Dezember 2012 Keine Kommentare

Also ich war am Modden meines iPod Mini’s und hab im großen und ganzen alles wie im HowTo beschrieben gemacht.
iPod Mini Mod by Mark Hoekstra

Einziges Problem war, dass ich aktuell eine W7x64 Lizenze verwende. Hierfür muss das iTunes für Windows x64 installiert werden um die richtigen Treiber für das Gerät mitgeliefert zu bekommen. Einige male an- und abstecken und schon ist das Gerät Resetet und Aktualisiert.

Darüber hinaus habe ich einen Stärkeren Akku(1300mAh) eingesetzt welchen ich über Amazon bezogen habe.

Zusätzlich könnte noch ein alternatives OS aufgespielt werden, wie z.B. Rockbox.